/*
 Theme Name:   mayfield-2023
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       SCIP
 Author URI:   https://www.scip.org.uk/
 Template:     generatepress
 Version:      0.1
*/

/****** typography ******/

.white-text {
	color: #fff !important;
}

.element-on-top {
	position: relative !important;
	z-index: 20 !important;
}

blockquote {
	font-size: 1.1875rem;
	line-height: 1.4;
	margin-bottom: 1rem;
}

.special-bullets ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
.special-bullets li {
	display: inline-block;
	background: #ffcdd9;
	padding: 6px 20px;
	margin: 0 0 20px 20px;
	color: #1300c1;
	border-radius: 24px;
	font-weight: 700;
	font-size: 20px;
}

/******* links ******/

.fl-form-field a {
	display: inline-block !important;
}

.fl-icon-text a {
	text-decoration: underline;
}

.fl-form-field a:hover, .fl-icon-text a:hover, .fl-rich-text a:hover, .pp-content-post:hover .pp-post-title a, .fl-node-nez4glsvmtxc.fl-module-heading .fl-heading:hover {
	background-color: #ffcdd9;
	color: #1300c1 !important;
	-webkit-transition: all 0.35s ease-in;
  -moz-transition: all 0.35s ease-in;
  -o-transition: all 0.35s ease-in;
  transition: all 0.35s ease-in;
	text-decoration: underline;
}

/* posts and products */
 .inside-article a {
	text-decoration: none;
}

/****** elements ******/

.one-container .comments-area {
  margin-top: 0;
}

.page {
	margin-bottom: 0;
}

/* photo captions */

.fl-photo-caption-below {
	padding-bottom: 28px;
	padding-top: 28px;
	margin-top: -58px;
	z-index: 1 !important;
	position: relative;
	color: #fff;
	background: #1300C1;
	font-size: 1.5rem;
	font-weight: 700;
	border-radius: 0 0 48px 8px !important;
}

@media only screen and (max-width: 992px) {

.fl-photo-caption-below {
	border-radius: 0 !important;
}
}


/** socials **/

.fl-module-content .pp-social-icon i {
	background-image: url("https://mayfield.scipdev.co.uk/wp-content/uploads/2023/11/social-bg-pink.svg");
	background-size: contain;
	background-repeat: no-repeat;
	display: flex;
	align-items: center;
	font-size: 1.4rem;
	height: 2.1875rem;
	width: 2.5rem;
	text-decoration: none;
	padding-left: .6rem;
}


/* stupid facebook icon repositioning */

.fl-module-content .pp-social-icon:nth-child(2) i {
	padding-left: .75rem !important;
}

/* even dafter x logo */

.fl-node-m3btzuw8fr04 .fl-module-content .pp-social-icon .pp-x-icon {
	font-size: 32px;
}


/****** main menu ******/

/* shrink on scroll */

.fl-builder-content[data-type="header"].fl-theme-builder-header-shrink img {
	max-height: 68px !important;
}

/* shift sub menu items on hover */

.pp-advanced-menu .menu .sub-menu a:hover {
	-webkit-transition: all 0.2s ease-in;
  -moz-transition: all 0.2s ease-in;
  -o-transition: all 0.2s ease-in;
  transition: all 0.2s ease-in;
	margin-left: 4px !important;
}


/* Toggle arrow after top line menu items with sub menus */

.pp-advanced-menu .pp-has-submenu-container a:after {
	font-family: "Font Awesome 5 Free";
	content: "\f0d7";
	padding-left: 12px;
}

/* Arrow before sub menu items */
.pp-advanced-menu .menu .sub-menu a:before {
	font-family: "Font Awesome 5 Free";
	content: "\f0da";
	padding-right: 12px;
}

/* proportional left hand spacing of sub menu items */

.pp-advanced-menu .sub-menu > li > a, .pp-advanced-menu .sub-menu > li > .pp-has-submenu-container > a {
	padding-left: 1.6vw;
}


/* proportional spacing of links */

.fl-node-6ydiwtgr5pjs .pp-advanced-menu .menu > li  {
	padding-left: calc(15vw / 7);
	padding-right: calc(15vw / 7);
	border-left: 1px solid rgba(255,255,255,0.4);
}

.fl-node-6ydiwtgr5pjs .pp-advanced-menu .menu > li:first-child  {
	border-left: 1px solid #1300C1 !important;
}

@media only screen and (max-width: 1380px) {
.fl-node-6ydiwtgr5pjs .pp-advanced-menu .menu > li  {
	padding-left: calc(10vw / 7);
	padding-right: calc(10vw / 7);
}
.pp-advanced-menu .pp-has-submenu-container a::after {
	padding-left: 8px;
}
}

@media only screen and (max-width: 1200px) {
.fl-node-6ydiwtgr5pjs .pp-advanced-menu .menu > li  {
	padding-left: calc(5vw / 7);
	padding-right: calc(5vw / 7);
}
.pp-advanced-menu .pp-has-submenu-container a::after {
	padding-left: 4px;
}
}


/****** forms ******/

.fl-form-error-message {
	font-size: 19px;
	font-weight: 700;
	color: #FF0071 !important;
	padding-left: 1em;
	line-height: 1.2;
}

/****** accordion ******/
.fl-node-2pajs3knucew .pp-accordion-item .pp-accordion-button:hover, .fl-node-2pajs3knucew .pp-accordion-item.pp-accordion-item-active .pp-accordion-button {
	border-color: #1300C1;
}

/* straight bottom right corner on enquiry text box */
.pp-gf-content .gform_wrapper .gfield textarea {
	border-bottom-right-radius: 0 !important;
}

/****** testimonials slider ******/

.owl-theme .owl-dots {
	padding-top: 20px;
}

/****** resources ******/

.fl-node-n3r1mog9bj5t .fl-callout-button {
	padding: 0;
}
.fl-node-n3r1mog9bj5t .fl-button i.fl-button-icon-after {
	color: #41F2B0 !important;
	scale: 80%;
}
.fl-node-n3r1mog9bj5t .fl-button i.fl-button-icon-after:hover {
	-webkit-transition: .25s;
  -moz-transition: .25s;
  -o-transition: .25s;
  transition: .25s;
	padding-left: 4px;
}

/****** wellbeing services ******/

/* max width on green blobs on stats counter */
.fl-node-x4yji90u2bl6 > .fl-col-content img {
	max-width: 200px;
}




/****** posts singular ******/

/* posts navigation buttons */

.nav-links a {
	text-decoration: none;
	background-color: #ff0071;
  border-radius: 36px;
  border: 2px solid #fff;
}

.nav-links a:hover {
	color: #FF0071;
	background-color: #ffffff;
	border: 2px solid #FF0071;
	-webkit-transition: .5s;
  -moz-transition: .5s;
  -o-transition: .5s;
  transition: .5s;
}

/****** all posts and pages ******/

/* ensure featured image for all posts always takes up half page width when portrait size */

.half-and-half > .fl-row-content-wrap {
	background-size: 50vw !important;
}


/****** ninja tables ******/

/* hide edit table link */

.ntb_edit_table_class_754, .ntb_edit_table_class_756, .ntb_edit_table_class_763	{
	display: none;
}

/****** accessibility *****/

#pojo-a11y-toolbar .pojo-a11y-toolbar-overlay ul.pojo-a11y-toolbar-items li.pojo-a11y-toolbar-item a {
	font-size: 100% !important;
	line-height: 1.2 !important;
	text-decoration: none;
	display: flex !important;
}

/****** woocommerce ******/

/* buttons */

.woocommerce div.product form.cart .button, .woocommerce ul.products li.product .button {
	vertical-align: middle;
	float: left;
	background: #FF0071;
	color: #fff;
	padding: 15px 24px;
	border: solid 2px #fff;
	border-radius: 36px;
}

.woocommerce ul.products li.product .button:hover, .woocommerce div.product form.cart .button:hover {
	background: #fff;
	color: #FF0071;
	border: solid 2px #FF0071;
	-webkit-transition: all 0.35s ease-in;
  -moz-transition: all 0.35s ease-in;
  -o-transition: all 0.35s ease-in;
  transition: all 0.35s ease-in;
}

.woocommerce ul.products li.product .price {
	color: #282538;
	font-size: 1em;
}

/* shopping cart icon spacing */
.wpmenucart-icon-shopping-cart-0::before {
	margin-right: .25em !important;
}

/* basket and checkout */

a.checkout-button, .woocommerce button.button.alt {
	font-size: 20px !important;
	color: #fff !important;
	background: #FF0071 !important;
	padding-top: 12px !important;
	padding-bottom: 12px !important;
	border: 2px solid #fff !important;
	border-radius: 40px !important;
}

a:hover.checkout-button, .woocommerce button.button.alt:hover {
	color: #ff0071 !important;
	background: #FFF !important;
	border: 2px solid #ff0071 !important;
	-webkit-transition: all 0.35s ease-in;
  -moz-transition: all 0.35s ease-in;
  -o-transition: all 0.35s ease-in;
  transition: all 0.35s ease-in;
}

.fl-woocommerce-checkout input{
	border: 1px solid #ddd !important;
}


























